Bug 1252303 - Move foreman-sosreport out of default search path
Move foreman-sosreport out of default search path
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: rubygem-foreman-redhat_access (Show other bugs)
6.3.0
All All
high Severity high (vote)
: GA
: --
Assigned To: Adam Price
Peter Ondrejka
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 02:59 EDT by Lukas Zapletal
Modified: 2017-11-14 10:46 EST (History)
3 users (show)

See Also:
Fixed In Version: rubygem-foreman-redhat_access-2.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2015-08-11 02:59:39 EDT
> I think in that case the command should never be available in the default
> user $PATH.
>
> # which foreman-sosreport
> /usr/bin/foreman-sosreport
>
> Because when you do "foreman<TAB>" expansion, you bump into it.

This tool does not have a man page.

If this tool is moved and there is a SELinux policy, make sure to make a change for file contexts as well.
Comment 2 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2016-07-26 11:41:56 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Lindani Phiri 2017-05-09 14:26:07 EDT
Paths removed in Satellite 6.3
Comment 8 Peter Ondrejka 2017-11-14 10:46:57 EST
Verified in Sat 6.3 snap 24, /usr/bin/foreman-sosreport is no longer present

Note You need to log in before you can comment on or make changes to this bug.